diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/point-to-point-channel.h ns-3.44/src/point-to-point/model/point-to-point-channel.h
--- ns-3.43/src/point-to-point/model/point-to-point-channel.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/point-to-point-channel.h	2025-03-09 16:55:49.683372300 -0700
@@ -22,8 +22,8 @@
 class Packet;
 
 /**
- * \ingroup point-to-point
- * \brief Simple Point To Point Channel.
+ * @ingroup point-to-point
+ * @brief Simple Point To Point Channel.
  *
  * This class represents a very simple point to point channel.  Think full
  * duplex RS-232 or RS-422 with null modem and no handshaking.  There is no
@@ -34,21 +34,21 @@
  * [0] wire to transmit on.  The second device gets the [1] wire.  There is a
  * state (IDLE, TRANSMITTING) associated with each wire.
  *
- * \see Attach
- * \see TransmitStart
+ * @see Attach
+ * @see TransmitStart
  */
 class PointToPointChannel : public Channel
 {
   public:
     /**
-     * \brief Get the TypeId
+     * @brief Get the TypeId
      *
-     * \return The TypeId for this class
+     * @return The TypeId for this class
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Create a PointToPointChannel
+     * @brief Create a PointToPointChannel
      *
      * By default, you get a channel that has an "infinitely" fast
      * transmission speed and zero delay.
@@ -56,65 +56,65 @@
     PointToPointChannel();
 
     /**
-     * \brief Attach a given netdevice to this channel
-     * \param device pointer to the netdevice to attach to the channel
+     * @brief Attach a given netdevice to this channel
+     * @param device pointer to the netdevice to attach to the channel
      */
     void Attach(Ptr<PointToPointNetDevice> device);
 
     /**
-     * \brief Transmit a packet over this channel
-     * \param p Packet to transmit
-     * \param src Source PointToPointNetDevice
-     * \param txTime Transmit time to apply
-     * \returns true if successful (currently always true)
+     * @brief Transmit a packet over this channel
+     * @param p Packet to transmit
+     * @param src Source PointToPointNetDevice
+     * @param txTime Transmit time to apply
+     * @returns true if successful (currently always true)
      */
     virtual bool TransmitStart(Ptr<const Packet> p, Ptr<PointToPointNetDevice> src, Time txTime);
 
     /**
-     * \brief Get number of devices on this channel
-     * \returns number of devices on this channel
+     * @brief Get number of devices on this channel
+     * @returns number of devices on this channel
      */
     std::size_t GetNDevices() const override;
 
     /**
-     * \brief Get PointToPointNetDevice corresponding to index i on this channel
-     * \param i Index number of the device requested
-     * \returns Ptr to PointToPointNetDevice requested
+     * @brief Get PointToPointNetDevice corresponding to index i on this channel
+     * @param i Index number of the device requested
+     * @returns Ptr to PointToPointNetDevice requested
      */
     Ptr<PointToPointNetDevice> GetPointToPointDevice(std::size_t i) const;
 
     /**
-     * \brief Get NetDevice corresponding to index i on this channel
-     * \param i Index number of the device requested
-     * \returns Ptr to NetDevice requested
+     * @brief Get NetDevice corresponding to index i on this channel
+     * @param i Index number of the device requested
+     * @returns Ptr to NetDevice requested
      */
     Ptr<NetDevice> GetDevice(std::size_t i) const override;
 
   protected:
     /**
-     * \brief Get the delay associated with this channel
-     * \returns Time delay
+     * @brief Get the delay associated with this channel
+     * @returns Time delay
      */
     Time GetDelay() const;
 
     /**
-     * \brief Check to make sure the link is initialized
-     * \returns true if initialized, asserts otherwise
+     * @brief Check to make sure the link is initialized
+     * @returns true if initialized, asserts otherwise
      */
     bool IsInitialized() const;
 
     /**
-     * \brief Get the net-device source
-     * \param i the link requested
-     * \returns Ptr to PointToPointNetDevice source for the
+     * @brief Get the net-device source
+     * @param i the link requested
+     * @returns Ptr to PointToPointNetDevice source for the
      * specified link
      */
     Ptr<PointToPointNetDevice> GetSource(uint32_t i) const;
 
     /**
-     * \brief Get the net-device destination
-     * \param i the link requested
-     * \returns Ptr to PointToPointNetDevice destination for
+     * @brief Get the net-device destination
+     * @param i the link requested
+     * @returns Ptr to PointToPointNetDevice destination for
      * the specified link
      */
     Ptr<PointToPointNetDevice> GetDestination(uint32_t i) const;
@@ -122,12 +122,12 @@
     /**
      * TracedCallback signature for packet transmission animation events.
      *
-     * \param [in] packet The packet being transmitted.
-     * \param [in] txDevice the TransmitTing NetDevice.
-     * \param [in] rxDevice the Receiving NetDevice.
-     * \param [in] duration The amount of time to transmit the packet.
-     * \param [in] lastBitTime Last bit receive time (relative to now)
-     * \deprecated The non-const \c Ptr<NetDevice> argument is deprecated
+     * @param [in] packet The packet being transmitted.
+     * @param [in] txDevice the TransmitTing NetDevice.
+     * @param [in] rxDevice the Receiving NetDevice.
+     * @param [in] duration The amount of time to transmit the packet.
+     * @param [in] lastBitTime Last bit receive time (relative to now)
+     * @deprecated The non-const \c Ptr<NetDevice> argument is deprecated
      * and will be changed to \c Ptr<const NetDevice> in a future release.
      */
     // NS_DEPRECATED() - tag for future removal
@@ -151,8 +151,8 @@
      * net device, receiving net device, transmission time and
      * packet receipt time.
      *
-     * \see class CallBackTraceSource
-     * \deprecated The non-const \c Ptr<NetDevice> argument is deprecated
+     * @see class CallBackTraceSource
+     * @deprecated The non-const \c Ptr<NetDevice> argument is deprecated
      * and will be changed to \c Ptr<const NetDevice> in a future release.
      */
     // NS_DEPRECATED() - tag for future removal
@@ -164,7 +164,7 @@
                    >
         m_txrxPointToPoint;
 
-    /** \brief Wire states
+    /** @brief Wire states
      *
      */
     enum WireState
@@ -180,12 +180,12 @@
     };
 
     /**
-     * \brief Wire model for the PointToPointChannel
+     * @brief Wire model for the PointToPointChannel
      */
     class Link
     {
       public:
-        /** \brief Create the link, it will be in INITIALIZING state
+        /** @brief Create the link, it will be in INITIALIZING state
          *
          */
         Link() = default;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/point-to-point-net-device.cc ns-3.44/src/point-to-point/model/point-to-point-net-device.cc
--- ns-3.43/src/point-to-point/model/point-to-point-net-device.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/point-to-point-net-device.cc	2025-03-09 16:55:49.683372300 -0700
@@ -57,7 +57,7 @@
                           MakePointerChecker<ErrorModel>())
             .AddAttribute("InterframeGap",
                           "The time to wait between packet (frame) transmissions",
-                          TimeValue(Seconds(0.0)),
+                          TimeValue(Seconds(0)),
                           MakeTimeAccessor(&PointToPointNetDevice::m_tInterframeGap),
                           MakeTimeChecker())
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/point-to-point-net-device.h ns-3.44/src/point-to-point/model/point-to-point-net-device.h
--- ns-3.43/src/point-to-point/model/point-to-point-net-device.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/point-to-point-net-device.h	2025-03-09 16:55:49.683372300 -0700
@@ -28,7 +28,7 @@
 class ErrorModel;
 
 /**
- * \defgroup point-to-point Point-To-Point Network Device
+ * @defgroup point-to-point Point-To-Point Network Device
  * This section documents the API of the ns-3 point-to-point module. For a
  * functional description, please refer to the ns-3 manual here:
  * http://www.nsnam.org/docs/models/html/point-to-point.html
@@ -37,9 +37,9 @@
  */
 
 /**
- * \ingroup point-to-point
- * \class PointToPointNetDevice
- * \brief A Device for a Point to Point Network Link.
+ * @ingroup point-to-point
+ * @class PointToPointNetDevice
+ * @brief A Device for a Point to Point Network Link.
  *
  * This PointToPointNetDevice class specializes the NetDevice abstract
  * base class.  Together with a PointToPointChannel (and a peer
@@ -53,9 +53,9 @@
 {
   public:
     /**
-     * \brief Get the TypeId
+     * @brief Get the TypeId
      *
-     * \return The TypeId for this class
+     * @return The TypeId for this class
      */
     static TypeId GetTypeId();
 
@@ -84,7 +84,7 @@
      * set in the Attach () method from the corresponding field in the channel
      * to which the device is attached.  It can be overridden using this method.
      *
-     * \param bps the data rate at which this object operates
+     * @param bps the data rate at which this object operates
      */
     void SetDataRate(DataRate bps);
 
@@ -92,15 +92,15 @@
      * Set the interframe gap used to separate packets.  The interframe gap
      * defines the minimum space required between packets sent by this device.
      *
-     * \param t the interframe gap time
+     * @param t the interframe gap time
      */
     void SetInterframeGap(Time t);
 
     /**
      * Attach the device to a channel.
      *
-     * \param ch Ptr to the channel to which this object is being attached.
-     * \return true if the operation was successful (always true actually)
+     * @param ch Ptr to the channel to which this object is being attached.
+     * @return true if the operation was successful (always true actually)
      */
     bool Attach(Ptr<PointToPointChannel> ch);
 
@@ -110,14 +110,14 @@
      * The PointToPointNetDevice "owns" a queue that implements a queueing
      * method such as DropTailQueue or RedQueue
      *
-     * \param queue Ptr to the new queue.
+     * @param queue Ptr to the new queue.
      */
     void SetQueue(Ptr<Queue<Packet>> queue);
 
     /**
      * Get a copy of the attached Queue.
      *
-     * \returns Ptr to the queue.
+     * @returns Ptr to the queue.
      */
     Ptr<Queue<Packet>> GetQueue() const;
 
@@ -127,7 +127,7 @@
      * The PointToPointNetDevice may optionally include an ErrorModel in
      * the packet receive chain.
      *
-     * \param em Ptr to the ErrorModel.
+     * @param em Ptr to the ErrorModel.
      */
     void SetReceiveErrorModel(Ptr<ErrorModel> em);
 
@@ -139,7 +139,7 @@
      * used by the channel to indicate that the last bit of a packet has
      * arrived at the device.
      *
-     * \param p Ptr to the received packet.
+     * @param p Ptr to the received packet.
      */
     void Receive(Ptr<Packet> p);
 
@@ -189,20 +189,20 @@
 
   protected:
     /**
-     * \brief Handler for MPI receive event
+     * @brief Handler for MPI receive event
      *
-     * \param p Packet received
+     * @param p Packet received
      */
     void DoMpiReceive(Ptr<Packet> p);
 
   private:
     /**
-     * \brief Dispose of the object
+     * @brief Dispose of the object
      */
     void DoDispose() override;
 
     /**
-     * \returns the address of the remote device connected to this device
+     * @returns the address of the remote device connected to this device
      * through the point to point channel.
      */
     Address GetRemote() const;
@@ -210,17 +210,17 @@
     /**
      * Adds the necessary headers and trailers to a packet of data in order to
      * respect the protocol implemented by the agent.
-     * \param p packet
-     * \param protocolNumber protocol number
+     * @param p packet
+     * @param protocolNumber protocol number
      */
     void AddHeader(Ptr<Packet> p, uint16_t protocolNumber);
 
     /**
      * Removes, from a packet of data, all headers and trailers that
      * relate to the protocol implemented by the agent
-     * \param p Packet whose headers need to be processed
-     * \param param An integer parameter that can be set by the function
-     * \return Returns true if the packet should be forwarded up the
+     * @param p Packet whose headers need to be processed
+     * @param param An integer parameter that can be set by the function
+     * @return Returns true if the packet should be forwarded up the
      * protocol stack.
      */
     bool ProcessHeader(Ptr<Packet> p, uint16_t& param);
@@ -235,10 +235,10 @@
      * started sending signals.  An event is scheduled for the time at which
      * the bits have been completely transmitted.
      *
-     * \see PointToPointChannel::TransmitStart ()
-     * \see TransmitComplete()
-     * \param p a reference to the packet to send
-     * \returns true if success, false on failure
+     * @see PointToPointChannel::TransmitStart ()
+     * @see TransmitComplete()
+     * @param p a reference to the packet to send
+     * @returns true if success, false on failure
      */
     bool TransmitStart(Ptr<Packet> p);
 
@@ -251,7 +251,7 @@
     void TransmitComplete();
 
     /**
-     * \brief Make the link up and running
+     * @brief Make the link up and running
      *
      * It calls also the linkChange callback.
      */
@@ -293,7 +293,7 @@
      * The Queue which this PointToPointNetDevice uses as a packet source.
      * Management of this Queue has been delegated to the PointToPointNetDevice
      * and it has the responsibility for deletion.
-     * \see class DropTailQueue
+     * @see class DropTailQueue
      */
     Ptr<Queue<Packet>> m_queue;
 
@@ -422,7 +422,7 @@
     static const uint16_t DEFAULT_MTU = 1500; //!< Default MTU
 
     /**
-     * \brief The Maximum Transmission Unit
+     * @brief The Maximum Transmission Unit
      *
      * This corresponds to the maximum
      * number of bytes that can be transmitted as seen from higher layers.
@@ -434,16 +434,16 @@
     Ptr<Packet> m_currentPkt; //!< Current packet processed
 
     /**
-     * \brief PPP to Ethernet protocol number mapping
-     * \param protocol A PPP protocol number
-     * \return The corresponding Ethernet protocol number
+     * @brief PPP to Ethernet protocol number mapping
+     * @param protocol A PPP protocol number
+     * @return The corresponding Ethernet protocol number
      */
     static uint16_t PppToEther(uint16_t protocol);
 
     /**
-     * \brief Ethernet to PPP protocol number mapping
-     * \param protocol An Ethernet protocol number
-     * \return The corresponding PPP protocol number
+     * @brief Ethernet to PPP protocol number mapping
+     * @param protocol An Ethernet protocol number
+     * @return The corresponding PPP protocol number
      */
     static uint16_t EtherToPpp(uint16_t protocol);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/point-to-point-remote-channel.h ns-3.44/src/point-to-point/model/point-to-point-remote-channel.h
--- ns-3.43/src/point-to-point/model/point-to-point-remote-channel.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/point-to-point-remote-channel.h	2025-03-09 16:55:49.683372300 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup point-to-point
+ * @ingroup point-to-point
  *
- * \brief A Remote Point-To-Point Channel
+ * @brief A Remote Point-To-Point Channel
  *
  * This object connects two point-to-point net devices where at least one
  * is not local to this simulator object. It simply override the transmit
@@ -31,29 +31,29 @@
 {
   public:
     /**
-     * \brief Get the TypeId
+     * @brief Get the TypeId
      *
-     * \return The TypeId for this class
+     * @return The TypeId for this class
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     PointToPointRemoteChannel();
 
     /**
-     * \brief Deconstructor
+     * @brief Deconstructor
      */
     ~PointToPointRemoteChannel() override;
 
     /**
-     * \brief Transmit the packet
+     * @brief Transmit the packet
      *
-     * \param p Packet to transmit
-     * \param src Source PointToPointNetDevice
-     * \param txTime Transmit time to apply
-     * \returns true if successful (currently always true)
+     * @param p Packet to transmit
+     * @param src Source PointToPointNetDevice
+     * @param txTime Transmit time to apply
+     * @returns true if successful (currently always true)
      */
     bool TransmitStart(Ptr<const Packet> p, Ptr<PointToPointNetDevice> src, Time txTime) override;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/model/ppp-header.h ns-3.44/src/point-to-point/model/ppp-header.h
--- ns-3.43/src/point-to-point/model/ppp-header.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/model/ppp-header.h	2025-03-09 16:55:49.683372300 -0700
@@ -13,8 +13,8 @@
 {
 
 /**
- * \ingroup point-to-point
- * \brief Packet header for PPP
+ * @ingroup point-to-point
+ * @brief Packet header for PPP
  *
  * This class can be used to add a header to PPP packet.  Currently we do not
  * implement any of the state machine in \RFC{1661}, we just encapsulate the
@@ -38,26 +38,26 @@
 {
   public:
     /**
-     * \brief Construct a PPP header.
+     * @brief Construct a PPP header.
      */
     PppHeader();
 
     /**
-     * \brief Destroy a PPP header.
+     * @brief Destroy a PPP header.
      */
     ~PppHeader() override;
 
     /**
-     * \brief Get the TypeId
+     * @brief Get the TypeId
      *
-     * \return The TypeId for this class
+     * @return The TypeId for this class
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the TypeId of the instance
+     * @brief Get the TypeId of the instance
      *
-     * \return The TypeId for this instance
+     * @return The TypeId for this instance
      */
     TypeId GetInstanceTypeId() const override;
 
@@ -67,26 +67,26 @@
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Set the protocol type carried by this PPP packet
+     * @brief Set the protocol type carried by this PPP packet
      *
      * The type numbers to be used are defined in \RFC{3818}
      *
-     * \param protocol the protocol type being carried
+     * @param protocol the protocol type being carried
      */
     void SetProtocol(uint16_t protocol);
 
     /**
-     * \brief Get the protocol type carried by this PPP packet
+     * @brief Get the protocol type carried by this PPP packet
      *
      * The type numbers to be used are defined in \RFC{3818}
      *
-     * \return the protocol type being carried
+     * @return the protocol type being carried
      */
     uint16_t GetProtocol() const;
 
   private:
     /**
-     * \brief The PPP protocol type of the payload packet
+     * @brief The PPP protocol type of the payload packet
      */
     uint16_t m_protocol;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point/test/point-to-point-test.cc ns-3.44/src/point-to-point/test/point-to-point-test.cc
--- ns-3.43/src/point-to-point/test/point-to-point-test.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/point-to-point/test/point-to-point-test.cc	2025-03-09 16:55:49.683372300 -0700
@@ -18,7 +18,7 @@
 using namespace ns3;
 
 /**
- * \brief Test class for PointToPoint model
+ * @brief Test class for PointToPoint model
  *
  * It tries to send one packet from one NetDevice to another, over a
  * PointToPointChannel.
@@ -27,34 +27,34 @@
 {
   public:
     /**
-     * \brief Create the test
+     * @brief Create the test
      */
     PointToPointTest();
 
     /**
-     * \brief Run the test
+     * @brief Run the test
      */
     void DoRun() override;
 
   private:
     Ptr<const Packet> m_recvdPacket; //!< received packet
     /**
-     * \brief Send one packet to the device specified
+     * @brief Send one packet to the device specified
      *
-     * \param device NetDevice to send to.
-     * \param buffer Payload content of the packet.
-     * \param size Size of the payload.
+     * @param device NetDevice to send to.
+     * @param buffer Payload content of the packet.
+     * @param size Size of the payload.
      */
     void SendOnePacket(Ptr<PointToPointNetDevice> device, const uint8_t* buffer, uint32_t size);
     /**
-     * \brief Callback function which sets the recvdPacket parameter
+     * @brief Callback function which sets the recvdPacket parameter
      *
-     * \param dev The receiving device.
-     * \param pkt The received packet.
-     * \param mode The protocol mode used.
-     * \param sender The sender address.
+     * @param dev The receiving device.
+     * @param pkt The received packet.
+     * @param mode The protocol mode used.
+     * @param sender The sender address.
      *
-     * \return A boolean indicating packet handled properly.
+     * @return A boolean indicating packet handled properly.
      */
     bool RxPacket(Ptr<NetDevice> dev, Ptr<const Packet> pkt, uint16_t mode, const Address& sender);
 };
@@ -108,7 +108,7 @@
                          "for her merchandise, he traded in his prize.";
     size_t txBufferSize = sizeof(txBuffer);
 
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &PointToPointTest::SendOnePacket,
                         this,
                         devA,
@@ -129,13 +129,13 @@
 }
 
 /**
- * \brief TestSuite for PointToPoint module
+ * @brief TestSuite for PointToPoint module
  */
 class PointToPointTestSuite : public TestSuite
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     PointToPointTestSuite();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.h ns-3.44/src/point-to-point-layout/model/point-to-point-dumbbell.h
--- ns-3.43/src/point-to-point-layout/model/point-to-point-dumbbell.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/point-to-point-layout/model/point-to-point-dumbbell.h	2025-03-09 16:55:49.683372300 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup point-to-point-layout
+ * @ingroup point-to-point-layout
  *
- * \brief A helper to make it easier to create a dumbbell topology
+ * @brief A helper to make it easier to create a dumbbell topology
  * with p2p links
  */
 class PointToPointDumbbellHelper
@@ -34,19 +34,19 @@
      * Create a PointToPointDumbbellHelper in order to easily create
      * dumbbell topologies using p2p links
      *
-     * \param nLeftLeaf number of left side leaf nodes in the dumbbell
+     * @param nLeftLeaf number of left side leaf nodes in the dumbbell
      *
-     * \param leftHelper PointToPointHelper used to install the links
+     * @param leftHelper PointToPointHelper used to install the links
      *                   between the left leaf nodes and the left-most
      *                   router
      *
-     * \param nRightLeaf number of right side leaf nodes in the dumbbell
+     * @param nRightLeaf number of right side leaf nodes in the dumbbell
      *
-     * \param rightHelper PointToPointHelper used to install the links
+     * @param rightHelper PointToPointHelper used to install the links
      *                    between the right leaf nodes and the right-most
      *                    router
      *
-     * \param bottleneckHelper PointToPointHelper used to install the link
+     * @param bottleneckHelper PointToPointHelper used to install the link
      *                         between the inner-routers, usually known as
      *                         the bottleneck link
      */
@@ -60,77 +60,77 @@
 
   public:
     /**
-     * \returns pointer to the node of the left side bottleneck
+     * @returns pointer to the node of the left side bottleneck
      *          router
      */
     Ptr<Node> GetLeft() const;
 
     /**
-     * \returns pointer to the i'th left side leaf node
-     * \param i node number
+     * @returns pointer to the i'th left side leaf node
+     * @param i node number
      */
     Ptr<Node> GetLeft(uint32_t i) const;
 
     /**
-     * \returns pointer to the node of the right side bottleneck
+     * @returns pointer to the node of the right side bottleneck
      *          router
      */
     Ptr<Node> GetRight() const;
 
     /**
-     * \returns pointer to the i'th right side leaf node
-     * \param i node number
+     * @returns pointer to the i'th right side leaf node
+     * @param i node number
      */
     Ptr<Node> GetRight(uint32_t i) const;
 
     /**
-     * \returns an Ipv4Address of the i'th left leaf
-     * \param i node number
+     * @returns an Ipv4Address of the i'th left leaf
+     * @param i node number
      */
     Ipv4Address GetLeftIpv4Address(uint32_t i) const; // Get left leaf address
 
     /**
-     * \returns an Ipv4Address of the i'th right leaf
-     * \param i node number
+     * @returns an Ipv4Address of the i'th right leaf
+     * @param i node number
      */
     Ipv4Address GetRightIpv4Address(uint32_t i) const; // Get right leaf address
 
     /**
-     * \returns an Ipv6Address of the i'th left leaf
-     * \param i node number
+     * @returns an Ipv6Address of the i'th left leaf
+     * @param i node number
      */
     Ipv6Address GetLeftIpv6Address(uint32_t i) const; // Get left leaf address
 
     /**
-     * \returns an Ipv6Address of the i'th right leaf
-     * \param i node number
+     * @returns an Ipv6Address of the i'th right leaf
+     * @param i node number
      */
     Ipv6Address GetRightIpv6Address(uint32_t i) const; // Get right leaf address
 
     /**
-     * \returns total number of left side leaf nodes
+     * @returns total number of left side leaf nodes
      */
     uint32_t LeftCount() const;
 
     /**
-     * \returns total number of right side leaf nodes
+     * @returns total number of right side leaf nodes
      */
     uint32_t RightCount() const;
 
     /**
-     * \param stack an InternetStackHelper which is used to install
+     * @param stack an InternetStackHelper which is used to install
      *              on every node in the dumbbell
      */
     void InstallStack(InternetStackHelper stack);
 
     /**
-     * \param leftIp Ipv4AddressHelper to assign Ipv4 addresses to the
+     * @param leftIp Ipv4AddressHelper to assign Ipv4 addresses to the
      *               interfaces on the left side of the dumbbell
      *
-     * \param rightIp Ipv4AddressHelper to assign Ipv4 addresses to the
+     * @param rightIp Ipv4AddressHelper to assign Ipv4 addresses to the
      *                interfaces on the right side of the dumbbell
      *
-     * \param routerIp Ipv4AddressHelper to assign Ipv4 addresses to the
+     * @param routerIp Ipv4AddressHelper to assign Ipv4 addresses to the
      *                 interfaces on the bottleneck link
      */
     void AssignIpv4Addresses(Ipv4AddressHelper leftIp,
@@ -138,9 +138,9 @@
                              Ipv4AddressHelper routerIp);
 
     /**
-     * \param network an IPv6 address representing the network portion
+     * @param network an IPv6 address representing the network portion
      *                of the IPv6 Address
-     * \param prefix the prefix length
+     * @param prefix the prefix length
      */
     void AssignIpv6Addresses(Ipv6Address network, Ipv6Prefix prefix);
 
@@ -148,10 +148,10 @@
      * Sets up the node canvas locations for every node in the dumbbell.
      * This is needed for use with the animation interface
      *
-     * \param ulx upper left x value
-     * \param uly upper left y value
-     * \param lrx lower right x value
-     * \param lry lower right y value
+     * @param ulx upper left x value
+     * @param uly upper left y value
+     * @param lrx lower right x value
+     * @param lry lower right y value
      */
     void BoundingBox(double ulx, double uly, double lrx, double lry) const;
 
